# funfriend

little desktop buddy for your computer

![](https://howto.smooch.computer/i/jgv5q.gif)

currently just kind of sits and wanders around

## configuration

config location depends on your OS:

| | |
| - | - |
| Windows | `%AppData%/funfriend/`                     |
| OSX     | `~/Library/Application Support/funfriend/` |
| Linux   | `~/.config/funfriend/`                     |

inside you'll find `cfg.ini`. most keys should be self-explanatory, but here's a few notable ones

### `buddies.types`

comma-seperated types of buddies to add, ex. `funfriend,funfriend,god` for 2 funfriends and 1 god. pass in something invalid to print out a list of valid options

## installation

grab yourself `SDL2`, `SDL2_mixer` and `GLFW` development libraries, then run

```sh
shards install
shards build
```

## usage

run `bin/funfriend` from the same dir as the source (for assets and shaders)

alternatively, use `shards run`
